%define pkg_name        Mail-MboxParser
%define pkg_version     0.55
%define rpm_pkg_version 0.55
%define rpm_pkg_release 2.n0i.3

Summary:       Read-only access to UNIX-mailboxes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/V/VP/VPARSEVAL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(MIME::Tools) >= 5


%description
This module attempts to provide a simplified access to standard
UNIX-mailboxes. It offers only a subset of methods to get 'straight to the
point'. More sophisticated things can still be done by invoking any method
from MIME::Tools on the appropriate return values.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changelog eg/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.55-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.55-1.n0i.2
- version 0.55

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.54-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
